This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 980490 - ledctl does not work if ahci is not a kernel module
ledctl does not work if ahci is not a kernel module
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: ledmon (Show other bugs)
rawhide
Unspecified Linux
unspecified Severity high
: ---
: ---
Assigned To: Michal Sekletar
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-02 10:06 EDT by Lukasz Dorau
Modified: 2013-07-12 21:53 EDT (History)
2 users (show)

See Also:
Fixed In Version: ledmon-0.78-1.fc18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-11 23:15:36 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lukasz Dorau 2013-07-02 10:06:01 EDT
Description of problem:
ledctl does not work if ahci is not a kernel module

Version-Release number of selected component (if applicable):
ledmon-0.77-1

How reproducible:
Always

Steps to Reproduce:
# ledctl locate=/dev/sda

Actual results:
Status LED of /dev/sda does not blink. Output of the above command is:
ledctl: controller discovery: /sys/devices/pci0000:00/0000:00:1f.2 - enclosure management not supported.

Expected results:
Status LED of /dev/sda blinks.

Additional info:
Patch for this bug is available at:
http://sourceforge.net/p/ledmon/code/ci/4af7ab6a0c3a386a3d9460a95fd2ef6ce521df9f/
   Check if the directory 'holders' exists
   commit 4af7ab6a0c3a386a3d9460a95fd2ef6ce521df9f

Ledmon v0.78 has been released (with the fix above):
http://sourceforge.net/p/ledmon/code/ci/ledmon-0.78/tree/
or
http://sourceforge.net/projects/ledmon/files/ledmon-0.78/ledmon-0.78.tar.gz/download
Comment 1 Fedora Update System 2013-07-03 12:28:58 EDT
ledmon-0.78-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/ledmon-0.78-1.fc19
Comment 2 Fedora Update System 2013-07-03 21:01:53 EDT
Package ledmon-0.78-1.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing ledmon-0.78-1.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-12293/ledmon-0.78-1.fc19
then log in and leave karma (feedback).
Comment 3 Lukasz Dorau 2013-07-04 04:07:05 EDT
Thanks. I've left karma. Will there be an update for Fedora 18 either?
Comment 4 Fedora Update System 2013-07-04 11:01:05 EDT
ledmon-0.78-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/ledmon-0.78-1.fc18
Comment 5 Michal Sekletar 2013-07-04 11:11:13 EDT
Thanks, for the testing and leaving karma. I've already released an update for F18. You might want to check that one out too.
Comment 6 Lukasz Dorau 2013-07-08 08:39:28 EDT
I've left karma for an update for F18 too. Thanks!
Comment 7 Fedora Update System 2013-07-11 23:15:36 EDT
ledmon-0.78-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2013-07-12 21:53:28 EDT
ledmon-0.78-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.